Skip to main content
`Ctrl`+`K`

# KSPLoad

Loads a `KSP` that has been stored in a `PETSCVIEWERBINARY` with `KSPView()`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPLoad(KSP newdm, PetscViewer viewer)

Collective

## Input Parameters

- newdm - the newly loaded `KSP`, this needs to have been created with `KSPCreate()` or some related function before a call to `KSPLoad()`.

- viewer - binary file viewer, obtained from `PetscViewerBinaryOpen()`

## Note

The type is determined by the data in the file, any type set into the `KSP` before this call is ignored.

## See Also

KSP: Linear System Solvers, `KSP`, `PetscViewerBinaryOpen()`, `KSPView()`, `MatLoad()`, `VecLoad()`

## Level

intermediate

## Location

src/ksp/ksp/interface/itcreate.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages